class Demo 
{
public static void main(String [] args)
 {
  double a=600.45146884546964;
float b=10.1f;
int x;
System.out.println("a="+a);
System.out.println("b="+b);
//System.out.println("x="+x);
b=(float)a;
System.out.println("a="+a);
System.out.println("b="+b);
x=(byte)a;
System.out.println("x="+x);

 }
}